Nimply Developers
API ReferenceAutomations

Test an automation

POST
/v1/automations/{id}/test

Runs it once with sample (or your triggerData) data and returns the result per step. Steps that would change something (post, message, notify) are only previewed, not done. Steps that use AI may still spend credits.

AuthorizationBearer <token>

Workspace API key (nim_live_...)

In: header

Path Parameters

id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/automations/497f6eca-6276-4993-bfeb-53cbbbba6f08/test" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "1c2d3e4f-5a6b-4c7d-8e9f-0a1b2c3d4e5f",  "automationId": "string",  "mode": "TEST",  "status": "SUCCEEDED",  "triggerType": "manual",  "creditsUsed": 0,  "error": "string",  "startedAt": "2026-10-29T09:00:00.000Z",  "finishedAt": "string",  "steps": [    {      "nodeId": "notify",      "type": "action.notify",      "status": "SUCCEEDED",      "error": "string"    }  ]}
Empty
Empty
Empty
Empty
Empty